import { request, request1 } from "@/utils/request.js";

/* 首页---------------------------- */
// 获取店铺详情
export function getShopDetail(data) {
  return request("/shop/getById", data, "POST");
}

//   获取经营数据
export function getBusinessData(data){
  return request("/index/summarizeStatistics", data, "POST");
}

/* 输码验劵--------------- */
export function getCoupons(data) {
  return request("/order/inputWrite", data, "POST");
}


/* 收款账户---------------------- */

// 获取收款账户列表

export function getReceiving(data) {
  return request("/bank/getById", data, "POST");
}
//  保存银行卡
export function saveReceiving(data) {
  return request("/bank/save", data, "POST");
}

//  修改收款账户列表
export function updateReceiving(data) {
  return request("/bank/update", data, "POST");
}

// 获取所有银行列表

export function getSelect(data) {
  return request("/dict/getSelect", data, "POST");
}

/* 经营数据------------------- */

//  获取经营数据
export function getOperateData(data) {
  return request("/index/index", data, "POST");
}

//  获取客户列表
export function getCustomerList(data) {
  return request("/buyer/getAll", data, "POST");
}

/* 财务对账---------------------- */

//  获取财务对账数据
export function getFinancial(data) {
  return request("/finance/getFinanceCount", data, "POST");
}

// 查看当天财务详情
export function getDayDetail(data) {
  return request("/finance/getDetails", data, "POST");
}

// 获取提现记录
export function getWithdrawal(data) {
  return request("/finance/getWithdrawalDetails", data, "POST");
}

//  获取银行卡信息
export function financeBank(data) {
  return request("/finance/getBank", data, "POST");
}

//  申请提现
export function applyWithdrawal(data) {
  return request("/finance/withdrawal", data, "POST");
}